# PSF-LoginServer - master - net.psforever.actors.session.AvatarActor.CreateAvatar
PSF - LoginServer - master - net.psforever.actors.session.AvatarActor.CreateAvatar
Keywords: PSF LoginServer master net.psforever.actors.session.AvatarActor.CreateAvatar

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package session
  Definition Classes
    actors
-  object AvatarActor
  Definition Classes
    session
- ActivateImplant
- AddFirstTimeEvent
- AvatarLoginResponse
- AvatarResponse
- AwardBep
- AwardCep
- Command
- ConsumeStamina
- CreateAvatar
- CreateImplants
- DeactivateActiveImplants
- DeactivateImplant
- DeinitializeImplants
- DeleteAvatar
- DeleteLoadout
- InitialRefreshLoadouts
- InitializeImplants
- LearnCertification
- LearnImplant
- LoginAvatar
- RefreshLoadouts
- RefreshPurchaseTimes
- ReplaceAvatar
- ResetImplant
- ResetImplants
- RestoreStamina
- SaveLoadout
- SaveLocker
- SelectAvatar
- SellCertification
- SellImplant
- SetAccount
- SetBep
- SetCep
- SetCertifications
- SetCosmetics
- SetLookingForSquad
- SetSession
- SetStamina
- SetVehicle
- Subscribe
- SuspendStaminaRegeneration
- Unsubscribe
- UpdatePurchaseTime
- UpdateUseTime

c

net.psforever.actors.session.AvatarActor

# CreateAvatar

###

#### final case class CreateAvatar(name: String, head: Int, voice: types.CharacterVoice.Value, gender: CharacterSex, empire: types.PlanetSideEmpire.Value) extends Command with Product with Serializable

Create avatar

Source
  AvatarActor.scala

Linear Supertypes
Serializable, Product, Equals, Command, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CreateAvatar
2. Serializable
3. Product
4. Equals
5. Command
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CreateAvatar(name: String, head: Int, voice: types.CharacterVoice.Value, gender: CharacterSex, empire: types.PlanetSideEmpire.Value)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val empire: types.PlanetSideEmpire.Value
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  val gender: CharacterSex
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  val head: Int
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val voice: types.CharacterVoice.Value
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Command

### Inherited from AnyRef

### Inherited from Any

### Ungrouped